function [new_matrix] = forcetoneighbour(pre_matrix,row_num,column_num)
%This function removes all edges between nodes which are not neighbours
%Adjacency matrix with edge values between nodes, the number of its rows 
%and colums should be added as an input data
[x,y]=size(pre_matrix);
n_values=x;
J=cell(1,n_values);
j=zeros(1,n_values);
i=1;
j=[i+2:1+column_num-1,i+column_num+2:n_values];
J{i} = j; %First Point
for i=2:column_num-1 
    j=[1:i-2,i+2:i+column_num-2,i+column_num+2:n_values];
    J{i} = j;
end %Mid of First Row
i=column_num;
j=[1:i-2,i+1:i+column_num-2,i+column_num+1:n_values];
J{i} = j; %Last point of first row
for mul=1:row_num-2
for k=1:column_num
    i=column_num*mul+k;
    if k==1
    j=[1:i-column_num-1,i-column_num+2:i-1,i+2:i+column_num-1,i+column_num+2:n_values];
    J{i} = j;
    elseif k==column_num
    j=[1:i-column_num-2,i-column_num+1:i-2,i+1:i+column_num-2,i+column_num+1:n_values];
    J{i} = j;
    else
    j=[1:i-column_num-2,i-column_num+2:i-2,i+2:i+column_num-2,i+column_num+2:n_values];
    J{i} = j;
    end
end
end %Points of mid-rows
i=n_values-column_num+1;
j=[1:i-column_num-1,i-column_num+2:i-1,i+2:n_values];
J{i} = j; %First point of last row
for i=n_values-column_num+2:n_values-1
    j=[1:i-column_num-2,i-column_num+2:i-2,i+2:n_values];
    J{i} = j;
end %Mid points of last row
i=n_values;
j=[1:i-column_num-2,i-column_num+1:i-2];
J{i} = j; %Last point of last row
for i=1:n_values
   pre_matrix(i,J{i})=0;
end
[new_matrix]=pre_matrix;
end

